# Uses of Class
it.tdlight.jni.TdApi.ReactionUnavailabilityReason

## Uses of TdApi.ReactionUnavailabilityReason in it.tdlight.jni

Subclasses of TdApi.ReactionUnavailabilityReason in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.ReactionUnavailabilityReasonAnonymousAdministrator`
The user is an anonymous administrator in the supergroup, but isn't a creator of it, so they can't vote on behalf of the supergroup.
`static final class`
`TdApi.ReactionUnavailabilityReasonGuest`
The user isn't a member of the supergroup and can't send messages and reactions there without joining.
Fields in it.tdlight.jni declared as TdApi.ReactionUnavailabilityReason
Modifier and Type
Field
Description
`TdApi.ReactionUnavailabilityReason`
TdApi.AvailableReactions.`unavailabilityReason`
The reason why the current user can't add reactions to the message, despite some other users can; may be null if none.
Constructors in it.tdlight.jni with parameters of type TdApi.ReactionUnavailabilityReason
Modifier
Constructor
Description
``
`AvailableReactions(TdApi.AvailableReaction[] topReactions, TdApi.AvailableReaction[] recentReactions, TdApi.AvailableReaction[] popularReactions, boolean allowCustomEmoji, boolean areTags, TdApi.ReactionUnavailabilityReason unavailabilityReason)`
Represents a list of reactions that can be added to a message.